commit aaf6f3df9377a44081af49a7fb2ae14aa3a18e60
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 9 14:32:47 2026 -0700

    xrdb 1.2.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aae4365610d2f3bdd04d30fe303bb936b015ddc4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue May 12 18:02:14 2026 -0700

    Git rid of -Wstringop-truncation warnings
    
    Use memcmp() instead of strncmp() so gcc doesn't think we're treating
    our length-tracked buffer as a zero-terminated string and complain we're
    failing to copy the terminating zero all the time.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xrdb/-/merge_requests/10>

commit b252f0fb867c3223b807c95e6637b0fe8dfa29d5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon May 11 20:04:17 2026 -0700

    meson: Add option to build with meson
    
    Also updates the gitlab CI config to test both build types
    and compare the generated output/installed files.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xrdb/-/merge_requests/9>

commit 2f4ec193d907d6054c9d538f8f85d5b9775e9478
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 11 11:20:41 2026 -0800

    gitlab CI: drop the ci-fairy check-mr job
    
    The only thing this checked was the checkbox for allowing maintainers to
    edit the MR. Changed permissions checks now fail this job but luckily
    the setting it checked has been the default for years anyway so we can
    drop it.
    
    https://gitlab.freedesktop.org/freedesktop/ci-templates/-/issues/81
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xrdb/-/merge_requests/9>

commit 20fc79a257ecaba0df3af8485dbf64fd73003a73
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 11:25:39 2025 -0700

    man page: fix warnings from `mandoc -T lint`
    
    mandoc: xrdb.1:197:81: STYLE: input text line longer than 80 bytes: The resources which ...
    mandoc: xrdb.1:26:12: WARNING: cannot parse date, using it verbatim: TH xrdb 1.2.2
    mandoc: xrdb.1:169:2: WARNING: skipping paragraph macro: PP after SH
    mandoc: xrdb.1:344:2: WARNING: skipping paragraph macro: PP after SH
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xrdb/-/merge_requests/8>

commit 80fb1a3dfdd1ddb9574882111ba029055b76a1af
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 6 17:41:40 2025 -0700

    Improve man page formatting
    
    More closely follow common style as described on
    https://man7.org/linux/man-pages/man7/man-pages.7.html
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xrdb/-/merge_requests/7>

commit 51cfbcc53d97c00bb825825ca6245a8f74a8cdc0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 6 17:09:06 2025 -0700

    Make -help exit with 0 instead of 1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xrdb/-/merge_requests/7>

commit 33f9c04a1f538c9a4f8e4dccf6076f1fed37c396
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 6 17:05:10 2025 -0700

    Accept --help & --version as aliases to -help & -version
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/xrdb/-/merge_requests/7>

commit ff688ceacaddb8e2f345caadfe33e408d97782a0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jun 3 10:40:03 2023 -0700

    xrdb 1.2.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6085098c95847f1f9f13d26f2adc7518fabf3b24
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Feb 6 13:13:21 2023 -0800

    configure: raise minimum autoconf requirement to 2.70
    
    Needed for builds on NetBSD to work correctly, since it depends on
    AC_USE_SYSTEM_EXTENSIONS defining _OPENBSD_SOURCE to expose the
    prototype for reallocarray() in the system headers.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit edcda53f9e66afadd871c23793e021e9725b4d6b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 13 10:48:30 2022 -0800

    Fallback asprintf: don't truncate output that has a \0 in string
    
    Unlikely to be hit in xrdb, but may affect other uses if this code
    gets copied to other programs.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 496bdd684935b9b7156222fec7009e8aa4a8dbad
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 13 10:44:17 2022 -0800

    Rename variable 'dup' to avoid shadowing dup() function
    
    As recommended by cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit da0bcc8b8746cd3eb93f20d61145edc6a1040dda
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 13 10:41:14 2022 -0800

    Use C99 struct initialization
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0ac060079060419bdfc4e54ba1a8643cffa1d7d3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 13 10:34:27 2022 -0800

    Variable scope reduction as recommended by cppcheck
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e7db9aa5f73904c243201d4c52e4b157ded05af7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1e20d715f2a064993a1b83b49d2f355d0ef9c56b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 7 13:55:05 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 70d96ac2b99c5ebc959c4baf9a32760c41c0e440
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Dec 7 13:55:02 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9c3a19e3f13252c6ac5b02ce703531b2bf9f7463
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Mon Aug 9 19:31:28 2021 +0200

    xrdb 1.2.1
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>

commit 4d3c11bee8c81abbc033a4731648a88db14508e1
Author: Walter Harms <wharms@bfs.de>
Date:   Sat Jun 26 23:11:25 2021 +0200

    fix assignment discards ‘const’ qualifier
    
    xrdb.c: In function ‘main’:
    xrdb.c:1071:52: warning: assignment discards ‘const’ qualifier from pointer target type [-Wdiscarded-qualifiers]
                         cmd_defines[num_cmd_defines++] = "-undef";
    
    Signed-off-by: Walter Harms <wharms@bfs.de>

commit 7d69c7f52b83a9b732325a16603b22e6c2f15d93
Author: Walter Harms <wharms@bfs.de>
Date:   Sat Jun 26 23:06:23 2021 +0200

    XFree() can handle NULL arg
    
    Signed-off-by: Walter Harms <wharms@bfs.de>

commit 2c57bc85c4cea7a159985a446e1f5f61a4c0f139
Author: Walter Harms <wharms@bfs.de>
Date:   Sat Jun 26 22:55:46 2021 +0200

    Add actual querying capabilities
    
    The world is littered with broken grep commands because `xrdb -query`
    can only dump the database and doesn't implement this simple search
    feature. This patch adds a new `-get` option to search and print the
    content of a single property by name.
    
    Signed-off-by: Michele Guerini Rocco <rnhm...@inventati.org>
    Reviewed-by:  Walter Harms <wharms@bfs.de>
    Signed-off-by: Walter Harms <wharms@bfs.de>

commit 9c51a2829f65ea03ef87376ca9561037d9262f6d
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Sun Jun 7 19:56:43 2020 +0200

    Fix out of boundary read.
    
    If a binary file which starts with 0x00 is edited, xrdb performs
    an off-by-one read outside of its buffer.
    
    The fix is simple: Do not try to append an empty string to buffer,
    which would be a no-op anyway.
    
    Proof of Concept (compile with -fsanitize=address):
    
    $ dd if=/dev/zero bs=1 count=1 of=poc.txt
    $ xrdb -edit poc.txt
    
    Signed-off-by: Tobias Stoeckmann <tobias@stoeckmann.org>

commit c281cadb06657c2a15a52598be6cf9c30fad1b12
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Feb 19 15:43:17 2019 -0800

    xrdb 1.2.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3153fa6c79a2887ee63a58ae6a7d9f17d1615cb8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 17:17:21 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e0026511c78a1bab57a6087b923bb223edc90282
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 22:49:16 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4c01ea85005fbc3506e32b88e1db3186538f8b9a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 24 23:24:46 2018 -0700

    Add -E flag to show cpp command line & processed input file
    
    https://bugs.freedesktop.org/show_bug.cgi?id=98300
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 74e8f61bd2f6857b8f242ffd34b3fe0ba1a04aa9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Mar 9 18:28:18 2018 -0800

    xrdb 1.1.1
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ae86081a92522653ff1523c92524ff892f75d496
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit b8909fc97335fae5bffa43914379787b27171b17
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d65dc2a5fe6566b13c4b4a55f7d6977365ad1865
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 3ae3e2f9d2b86fc3808a4631f79b6087bd1a81a4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 24 00:25:04 2015 -0700

    Use reallocarray() for array allocations & resizing
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu@herrb.eu>

commit b21b44b214e9f4728665fcfd13da6e43ee93069a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 24 00:11:47 2015 -0700

    Fix "editting" typo in comment
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 843b15fc3c3be5effef78fe6b5abaa11788f0908
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Apr 24 00:09:18 2015 -0700

    Reformat code to X.Org standard coding style
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8b8d03f970115df28232c588b585d3751f1780fb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Nov 8 09:24:04 2014 -0800

    Use SEEK_* names instead of raw numbers for fseek whence argument
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ae495ec8de483ab99fe51bb36b95af4f50973387
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 22:45:20 2014 -0700

    Print which option was in error along with usage message
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 01a023d7078f3325f626e8d499307b0d92eef64d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 22:28:54 2014 -0700

    unifdef -U__UNIXOS2__
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8a051c45632ee88a4ca0ca492fe8c5cae4b71299
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 22:27:10 2014 -0700

    Stop casting free() arguments to (char *)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7a464b04727516775c0a23325a2c69ba1357b00d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 22:24:40 2014 -0700

    Clean up sign/size conversion warnings from clang
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 074f6439a8606d9d191280ccffb37daa3c15e868
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 20:16:28 2014 -0700

    Remove unused macro RESOURCE_PROPERTY_NAME
    
    Flagged by clang:
    xrdb.c:92:9: warning: macro is not used [-Wunused-macros]
            ^
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 118f7d099b99432d7f7013ae51de85b9561ee413
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 20:13:28 2014 -0700

    configure: add more m4 quoting to quiet autoconf complaints
    
    Gets rid of these warnings:
    configure.ac:54: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
    ../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
    ../../lib/autoconf/general.m4:2591: _AC_COMPILE_IFELSE is expanded from...
    ../../lib/autoconf/general.m4:2607: AC_COMPILE_IFELSE is expanded from...
    configure.ac:54: the top level
    configure.ac:61: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
    ../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is expanded from...
    ../../lib/autoconf/general.m4:2591: _AC_COMPILE_IFELSE is expanded from...
    ../../lib/autoconf/general.m4:2607: AC_COMPILE_IFELSE is expanded from...
    configure.ac:61: the top level
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6699bfcb0bcc148a4659c5c2434594a6e7fbe757
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 18:47:31 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1b1793b6bc469415b152918204dbc9e999e9815e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jun 3 18:47:31 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 17eda976c8dca736ef63fc45ff7de8c73c0e2936
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 8 10:16:42 2013 -0700

    xrdb 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4e49a64191d3b08044d29d32896e15013e5e7540
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jul 19 19:51:09 2013 -0700

    Add -version flag to print package version string from autoconf
    
    Also adds missing entry for -help flag to usage message.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-By: Matt Dew <marcoz@osource.org>

commit ec7b273fd135a14a2ca6c19cd0e6afe1536db552
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Jul 19 19:31:04 2013 -0700

    Only add -P flag if using cpp as our preprocessor
    
    Restores ability to use m4 (broken in xrdb-1.0.8 by commit 117021570515f)
    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=34546
    
    Reviewed-by: <wharms@bfs.de>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 11e7f4610cd6468aeea115081dd72ddd7eba0f3f
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Fri Dec 3 15:52:04 2010 -0500

    predefined cpp macros can produce unexpected results (bug 3413)
    
    GNU cpp is predefining a number of symbols, depending on the host and target
    architecture. This can produce some unexpected results: for example, the
    expansion of CLIENTHOST if the host name is i386.my.domain.
    
    The attached patch creates a new -undef option to xrdb that is passed to
    cpp.
    
    Acked-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d23e17e09c45e214737ddf8f653dc31cdcf3a0d2
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 18:53:49 2013 -0700

    Rename args to several functions to not shadow global variables
    
    Renamed "buffer" to "b" and "dpy" to "display" to match common patterns
    in other functions in xrdb.c
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4b8da0a0a296dce4ead1baac4a39ac27dee144da
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 18:44:47 2013 -0700

    Mark fatal() & Syntax() with printf & noreturn attributes
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 45909ffe71788d80b2dabff886341b44c10a096d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 18:42:28 2013 -0700

    Strip trailing whitespace
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ce7d8d3eaab2a5392c24ba3cca79b6fd1610abcb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 18:41:19 2013 -0700

    Remove unnecessary casts from malloc & realloc calls
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 49022f26d97786b8252f9782d1517c6bf763e008
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 18:37:44 2013 -0700

    Fix many const pointer warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 965ef4b3357a1dbf996529d98e812069878e07c4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 12:02:23 2013 -0700

    Ensure we don't read out of ClassName array bounds for unknown visual type
    
    Should never happen, but has been reported as happening at least once:
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=488535
    
    Instead prints warning messages to stderr to help diagnose where the
    bad visual information is coming from.
    
    (Tested by temporarily commenting out names in the ClassName array.)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ed086df97fc816dfeb792ac0094eaa8795177bf5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 30 09:11:12 2013 -0700

    Clarify .Xresources vs. .Xdefaults in man page
    
    Reported by John Feuerstein at
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=649187
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 420347005ccf1886dfbb2eb2902beafdcf4e2477
Author: Egbert Eich <eich@freedesktop.org>
Date:   Thu May 19 11:35:25 2011 +0200

    Allow the CPP macro to contain preprocessors with command line options (v2)
    
    The preprocessor used for xrdb may require a command line option to
    produce the desired output. For the GNU cpp this could be
    'traditional-cpp' which may not be valid for other preprocessors.
    Therefore support the specification of preprocessors along with
    required command line arguments when using the '--with-cpp' configure
    option.
    Example:
       ./configure --with-cpp="/usr/bin/cpp --traditional-cpp, /usr/lib/cpp".
    
    v2: Followed a suggestion by Julien Cristau <jcristau@debian.org>
        to allocate memory for the dup string dynamically instead of
        using a static buffer.
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>

commit 76f2c5b2a744587a9e97b622ab359d6fd7689604
Author: Egbert Eich <eich@freedesktop.org>
Date:   Thu May 19 11:29:57 2011 +0200

    Usage: In usage message print preprocessor that's actually chosen.
    
    The CPP macro may contain a list of preprocessors to chose from.
    In the usage message describing the -cpp command line option print
    the preprocessor that would actually be chosen.
    
    Signed-off-by: Egbert Eich <eich@freedesktop.org>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 58349f9efc204f5843cfeccc25fbc51f1f5029ae
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Wed Jan 4 19:00:03 2012 +0000

    Fix build with WIN32 defined, but PATHETICCPP not defined
    
    (Note that PATHETICCPP seems to be never defined now, see [1])
    
    [1] http://lists.x.org/archives/xorg-devel/2010-October/013860.html
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>

commit 60577129058e018f13748b99e51ab1a17088db8e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jun 16 15:38:17 2011 -0700

    Tokenize #define names in the PATHETICCPP case too
    
    Fixes generation of the EXT_<extension-name> #defines, since cpp treats
    a #define EXT_MIT-SHM as a token "EXT_MIT" with a value of "-SHM".
    
    Without this fix, an xrdb built with PATHETICCPP prints warnings of:
    macro EXT_XC redefines previous macro at "", line 27
    macro EXT_XVideo redefines previous macro at "", line 33
    macro EXT_MIT redefines previous macro at "", line 35
    macro EXT_MIT redefines previous macro at "", line 37
    
    due to extension #defines such as EXT_MIT-SCREEN-SAVER & EXT_MIT-SHM
    conflicting with each other.
    
    Now matches the non-PATHETICCPP handling of #define names.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4b8990ea599aee08284481b258cccdc25dd5d8d8
Author: Matthias Hopf <mhopf@suse.de>
Date:   Tue Apr 5 17:50:00 2011 +0200

    Bump to 1.0.9

commit 1027d5df07398c1507fb1fe3a9981aa6b4bc3a56
Author: Matthias Hopf <mhopf@suse.de>
Date:   Tue Mar 1 19:37:34 2011 +0100

    Create shell-escape-safe cpp options in the non-pathetic-cpp case.
    
    Fixes CVE-2011-0465.
    
    Signed-off-by: Matthias Hopf <mhopf@suse.de>
    Reviewed-by: Adam Jackson <ajax@redhat.com>

commit ce9709b2811eb06bc7e03d26599c40b60effd0f8
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Feb 2 15:30:45 2011 -0800

    xrdb 1.0.8
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 649faef32416e6d87ec2dcad5b0142d3b7ff04d7
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Wed Feb 2 11:30:36 2011 -0800

    Properly honor -nocpp
    
    Previously, if the user passed -nocpp and there was a cpp present,
    cpp would be used.  This patch fixes that case.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8a59f14ff4a87b96ce763dd6565d776f8ac3b087
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:56 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bc64aa2a2481130a02bfe41523863b7006d0c3a9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:48 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 64c9786971d2473d0334bbdbe1a5f79f29eb988f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:29:50 2011 -0500

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    This silences an Automake warning.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 117021570515fa985670f78d27376d636ed5490f
Author: Ulrich Mueller <ulm@gentoo.org>
Date:   Wed Jan 5 13:31:36 2011 -0800

    Call C preprocessor with -P option due to changed behaviour in GCC 4.5
    
    http://bugs.freedesktop.org/show_bug.cgi?id=32701
    http://bugs.gentoo.org/show_bug.cgi?id=347758
    
    Signed-off-by: Ulrich Mueller <ulm@gentoo.org>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 44c65a03644b1c297ee84ff1aa4b7790caa5da0b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jan 4 20:29:09 2011 -0800

    Merge usage() printf() strings/calls into a single string/call
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 82babf3ecfd6eb1ef65a150fb0c453e7bfd61616
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jan 4 20:20:11 2011 -0800

    Replace complex malloc calculations with asprintf()
    
    Includes simple local implemenation of asprintf if configure doesn't
    find one in system libraries.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Guillem Jover <guillem@hadrons.org>

commit b9aa83d7868e8813098bbc62adf82a79dc62e14e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Jan 4 19:50:06 2011 -0800

    Convert HAS_MKSTEMP to autoconf standard HAVE_MKSTEMP
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 6606863fc8467bcbc829cea63764be0d283c4b8a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 10 19:32:04 2010 -0800

    xrdb 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3a1f0f784bfd537096d4d37a77b7be7904bb88aa
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 9 16:26:45 2010 -0800

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM sttaements under the Automake initialization section.
    Add missing AC_CONFIG_SRCDIR
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4139da28b7c9bb5bd35933e28a6f0f6e325d921e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 9 16:25:38 2010 -0800

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a6ca7c4c8b330bfd8a1a225afe826d7dbfa820fb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 9 16:24:37 2010 -0800

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0720655ecd3c8f3bc8c8bcb97863c02d73cae674
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 9 16:24:08 2010 -0800

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit da50b50cc1befae114dd8f9ce67b2aa034bcedf3
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:50 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 532959ec60149589a72f027d96cb57f1368cdf89
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:54 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 0fa4fd255c494b8d9551453c07521fc7473fc2b6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:08 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit b90564dc7339082f8325d06edb28264f1b6e8bb6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:39 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit aa5fd3d4dded23b6045e93ac220edb13b68a4658
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:16 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit cf6bd9d305726420905f2aa7c7471665f5e70f7c
Author: Jeremy Huddleston <jeremyhu@freedesktop.org>
Date:   Wed Oct 21 12:47:21 2009 -0700

    This is not a GNU project, so declare it foreign.
    
    On Wed, 2009-10-21 at 13:36 +1000, Peter Hutterer wrote:
    > On Tue, Oct 20, 2009 at 08:23:55PM -0700, Jeremy Huddleston wrote:
    > > I noticed an INSTALL file in xlsclients and libXvMC today, and it
    > > was quite annoying to work around since 'autoreconf -fvi' replaces
    > > it and git wants to commit it.  Should these files even be in git?
    > > Can I nuke them for the betterment of humanity and since they get
    > > created by autoreconf anyways?
    >
    > See https://bugs.freedesktop.org/show_bug.cgi?id=24206
    
    As an interim measure, replace AM_INIT_AUTOMAKE([dist-bzip2]) with
    AM_INIT_AUTOMAKE([foreign dist-bzip2]). This will prevent the generation
    of the INSTALL file. It is also part of the 24206 solution.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@freedesktop.org>

commit b3a7a1fb2356d6fba676746f60176f1a69b9a72a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 15:04:50 2009 -0700

    xrdb 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit eafabf10c3738bba223d7522f8b5804d1d54c6d4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 14:55:22 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit d2c5485dcab34074fa9bd62b7a0567364382e07b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 14:37:28 2009 -0700

    Fill in COPYING file with notices from xrdb.c & xrdb.man
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit b2aebe2b2879c6f6a23d34c7b7b637b8b216e2a3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:29 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 29f87977d6f503186da4863eea28db2f206bca22
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 26 16:45:11 2009 -0200

    Correct make distcheck and sparse warnings.

commit fc0b73673a7b91b386d8a346652f9cc0c4a68d44
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 20 14:33:23 2008 -0700

    Allow specifying multiple paths to --with-cpp and running if none is found
    
    Merge of code from the old Solaris xrdb that allows having cpp found at
    compile time, but not erroring out if it's not found at runtime, and
    if necessary, checking for it in multiple locations.

commit 0de4f54967a7ab923817712eb96b64ca1ebe84a5
Author: Stuart Kreitman <Stuart.Kreitman@sun.com>
Date:   Mon Aug 4 17:12:58 2008 -0700

    Avoid divide by zero crash if DDX mistakenly returns screen size of 0mm.

commit d8b7fa56de252ba78edab5e504a2c7650e9e9123
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Mar 6 17:16:36 2008 -0500

    xrdb 1.0.5

commit 09ef847d16333d6ae04c3f88ff7f535381cb9405
Author: Luca Capello <luca@pca.it>
Date:   Mon Jan 7 23:48:12 2008 +0100

    Prevent cpp from prefixing errors with <stdin> when the xrdb input is a file
    
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=458246

commit ab156455b2f759cc4cb0edc3265ccb9bba53f2ed
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 15:51:09 2007 -0500

    Add missing PHONY line for automatic ChangeLog generation

commit 13917748af3288ae188cbe9c05742411d53ec34f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Aug 15 15:35:00 2007 -0700

    Version bump: 1.0.4

commit 6202638b9962dceb4f72357bff76896e23c8fe5e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Aug 15 15:31:16 2007 -0700

    Change xrdb_CFLAGS to AM_CFLAGS to make automake-1.10 happier
    
    Makefile.am:27: compiling `xrdb.c' with per-target flags requires `AM_PROG_CC_C_O' in `configure.ac'

commit 0b2171f2af1a5790753bb6516ac32411b1b89ef3
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Apr 11 15:33:56 2007 -0700

    Bug #10616: Man page grammar fix: s/This never be/This should never be/
    
    X.Org Bugzilla #10616: <https://bugs.freedesktop.org/show_bug.cgi?id=10616>
    Reported upstream from
    Debian bug #354923 <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=354923>

commit a2b12134c2216dc29581dd849a89e48187ddf66f
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jan 23 17:47:28 2007 -0800

    Version bump: 1.0.3

commit 0379f5fb2b8c5860d8e2652df51ab5d8363518b2
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jan 23 17:46:02 2007 -0800

    Replace static ChangeLog with dist-hook to generate from git log

commit 407a5343d87b50f8496afe76bc26396e58b1c543
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Jan 2 18:54:39 2007 -0800

    renamed: .cvsignore -> .gitignore

commit a412444f2b3190cc6513bd0649de68a21089f487
Author: Eric S. Raymond <esr@thyrsus.com>
Date:   Tue Jan 2 18:54:13 2007 -0800

    Bug 9521: Markup problem in xrdb.1 man page
    
    <https://bugs.freedesktop.org/show_bug.cgi?id=9521>

commit ee16f1a1d55efdc8176e025dd8c3482aabfc6d57
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Apr 26 23:46:36 2006 +0000

    Bump to 1.0.2

commit df0f7049f9cf1a5aac8964bf87b484afd8a5bd94
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Apr 3 20:33:30 2006 +0000

    Copy authors list from comment in xrdb.c

commit b8165e4d7fe46f4355c163cf9a7be0213286f2c9
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Apr 3 20:32:20 2006 +0000

    Convert sprintf/strcpy/strcat calls to snprintf to enforce bounds checking.

commit e8420306923dbe7c02b5322f2320dee18cc54f96
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Apr 3 18:23:14 2006 +0000

